commit-gnue
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gnue] r8214 - in trunk: gnue-appserver/packaging gnue-appserver/packagi


From: johannes
Subject: [gnue] r8214 - in trunk: gnue-appserver/packaging gnue-appserver/packaging/osx gnue-appserver/packaging/osx/dist gnue-appserver/packaging/osx/scripts gnue-common/packaging gnue-common/packaging/osx gnue-common/packaging/osx/dist gnue-common/packaging/osx/scripts gnue-forms/packaging gnue-forms/packaging/osx gnue-forms/packaging/osx/dist gnue-forms/packaging/osx/scripts
Date: Tue, 7 Mar 2006 10:00:22 -0600 (CST)

Author: johannes
Date: 2006-03-07 10:00:22 -0600 (Tue, 07 Mar 2006)
New Revision: 8214

Added:
   trunk/gnue-appserver/packaging/osx/
   trunk/gnue-appserver/packaging/osx/HOWTO-Build
   trunk/gnue-appserver/packaging/osx/create-build
   trunk/gnue-appserver/packaging/osx/create-image
   trunk/gnue-appserver/packaging/osx/dist/
   trunk/gnue-appserver/packaging/osx/dist/README
   trunk/gnue-appserver/packaging/osx/gnue-appserver.pmproj
   trunk/gnue-appserver/packaging/osx/scripts/
   trunk/gnue-appserver/packaging/osx/scripts/postflight
   trunk/gnue-common/packaging/osx/
   trunk/gnue-common/packaging/osx/HOWTO-Build
   trunk/gnue-common/packaging/osx/create-build
   trunk/gnue-common/packaging/osx/create-image
   trunk/gnue-common/packaging/osx/dist/
   trunk/gnue-common/packaging/osx/dist/README
   trunk/gnue-common/packaging/osx/gnue-common.pmproj
   trunk/gnue-common/packaging/osx/scripts/
   trunk/gnue-common/packaging/osx/scripts/postflight
   trunk/gnue-forms/packaging/osx/
   trunk/gnue-forms/packaging/osx/HOWTO-Build
   trunk/gnue-forms/packaging/osx/create-build
   trunk/gnue-forms/packaging/osx/create-image
   trunk/gnue-forms/packaging/osx/dist/
   trunk/gnue-forms/packaging/osx/dist/README
   trunk/gnue-forms/packaging/osx/gnue-forms.pmproj
   trunk/gnue-forms/packaging/osx/scripts/
   trunk/gnue-forms/packaging/osx/scripts/postflight
Log:
Added environments for package-creation on OS X


Added: trunk/gnue-appserver/packaging/osx/HOWTO-Build
===================================================================
--- trunk/gnue-appserver/packaging/osx/HOWTO-Build      2006-03-07 15:23:23 UTC 
(rev 8213)
+++ trunk/gnue-appserver/packaging/osx/HOWTO-Build      2006-03-07 16:00:22 UTC 
(rev 8214)
@@ -0,0 +1,45 @@
+# What do you need to create installer packages
+ 
+  You need XCode beeing installed (actually you need the PackageManager)
+
+
+# How to build a disk image containing a native OS X installer package
+
+1. Grab the tarball you'd like to create a package for from 
+   http://www.gnuenterprise.org/downloads/
+
+   e.g. gnue-appserver-0.4.99-beta1.tar.gz
+
+2. Unpack the tarball into this directory (packaging/osx)
+   You'll get a subdirectory like 'gnue-appserver-0.4.99-beta1'
+
+3. Execute the script "create-build" with the package-directory previously
+   created
+
+   e.g. create-build gnue-appserver-0.4.99-beta1
+
+   This script creates a final build environment for the package. It will be
+   located in the subdirectory 'build'
+
+4. Start the package manager (from /Developer/Tools) and load the package
+   manager project file: gnue-appserver.pmproj
+
+   In the 'Contents' tab click on the 'File permissions ...' button. There
+   please click the button 'Apply Recommendations" and finally quit this dialog
+   via Ok button.
+
+   Now you can call "Project | Build" from the menu bar or by Cmd-B.
+   Determine the name of the installer package 
+   (e.g.  gnue-appserver-0.4.99.1-py23) and press the Save button. You'll be
+   asked for the administrator password.
+
+   After the build is finished and there were no errors you can quit the
+   package manager. Another directory has been created - the package directory,
+   e.g. gnue-appserver-0.4.99.1-py23.pkg
+
+5. Execute the script "create-image" with the package directory
+   e.g. create-image gnue-appserver-0.4.99.1-py23.pkg
+
+   This will create the disc image containing the installer package as well as
+   the contents of the 'dist' subdirectory.
+

Added: trunk/gnue-appserver/packaging/osx/create-build
===================================================================
--- trunk/gnue-appserver/packaging/osx/create-build     2006-03-07 15:23:23 UTC 
(rev 8213)
+++ trunk/gnue-appserver/packaging/osx/create-build     2006-03-07 16:00:22 UTC 
(rev 8214)
@@ -0,0 +1,27 @@
+#!/bin/bash
+# 
+# Create the build environment for gnue-common
+# Usage: create-build <package-directory>
+
+packagedir=$1
+if [ ! -d "$packagedir" ];
+then
+  echo "Usage: $0 <package-directory>"
+  exit 1
+fi
+
+
+if [ ! -f "$packagedir/setup.py" ];
+then
+  echo "$packagedir does not contain a setup.py file"
+  exit 1
+fi
+
+test -d "build" || mkdir "build"
+
+curdir=`pwd`
+
+cd "$packagedir"
+python setup.py install --root=../build --no-compile
+
+cd "$curdir"


Property changes on: trunk/gnue-appserver/packaging/osx/create-build
___________________________________________________________________
Name: svn:executable
   + *

Added: trunk/gnue-appserver/packaging/osx/create-image
===================================================================
--- trunk/gnue-appserver/packaging/osx/create-image     2006-03-07 15:23:23 UTC 
(rev 8213)
+++ trunk/gnue-appserver/packaging/osx/create-image     2006-03-07 16:00:22 UTC 
(rev 8214)
@@ -0,0 +1,38 @@
+#!/bin/bash
+#
+# Create a disk image containing an installer package as well as the contents
+# of the dist directory
+#
+
+srcDir="$1"
+bseName=`basename $srcDir`
+pkgName=`basename $srcDir .pkg`
+
+if [ ! -d "$srcDir" -o "$pkgName" == "$bseName" ]; then
+  echo "Usage: $0 <installer-package>"
+  exit 1
+fi
+
+tmpDir="tmp-img"
+test -d "$tmpDir" && rm -rf "$tmpDir"
+mkdir "$tmpDir"
+
+# Copy the contents of the dist-dir
+echo "Preparing disk image ..."
+if [ -d "dist" ]; then
+  cp -R dist/* $tmpDir
+fi
+
+# Copy the package directory to the dist-dir
+cp -R `basename $srcDir` $tmpDir
+
+# Create an image
+echo "Creating disk image ..."
+hdiutil create -srcfolder $tmpDir -volname $pkgName temp.dmg
+
+# Convert the image
+echo "Converting disk image ..."
+hdiutil convert temp.dmg -format UDZO -o $pkgName.dmg
+
+rm -f temp.dmg
+rm -rf $tmpDir


Property changes on: trunk/gnue-appserver/packaging/osx/create-image
___________________________________________________________________
Name: svn:executable
   + *

Added: trunk/gnue-appserver/packaging/osx/dist/README
===================================================================
--- trunk/gnue-appserver/packaging/osx/dist/README      2006-03-07 15:23:23 UTC 
(rev 8213)
+++ trunk/gnue-appserver/packaging/osx/dist/README      2006-03-07 16:00:22 UTC 
(rev 8214)
@@ -0,0 +1,18 @@
+# README
+
+1. Prerequisites
+
+  - Python2.3
+      Mac OS X Tiger comes with python 2.3.5 installed. That's ok, since this
+      package is designed for that python environment.
+
+2. Installation
+
+  To install GNU Enterprise Application Server double click on the installer
+  package.
+
+
+3. Additional resources and packages:
+
+  If you're looking for a given package (like database drivers) you might visit
+  "http://www.gnuenterprise.org/downloads/depends";.

Added: trunk/gnue-appserver/packaging/osx/gnue-appserver.pmproj
===================================================================
(Binary files differ)


Property changes on: trunk/gnue-appserver/packaging/osx/gnue-appserver.pmproj
___________________________________________________________________
Name: svn:mime-type
   + application/octet-stream

Added: trunk/gnue-appserver/packaging/osx/scripts/postflight
===================================================================
--- trunk/gnue-appserver/packaging/osx/scripts/postflight       2006-03-07 
15:23:23 UTC (rev 8213)
+++ trunk/gnue-appserver/packaging/osx/scripts/postflight       2006-03-07 
16:00:22 UTC (rev 8214)
@@ -0,0 +1,17 @@
+#!/bin/bash
+#
+# Postflight script: 
+# Compile and optimize all python files of gnue
+#
+
+PYTHON=python2.3
+COMPILE=/usr/lib/$PYTHON/compileall.py
+SITELIB="/usr/lib/$PYTHON/site-packages/gnue/appserver"
+
+if which $PYTHON >/dev/null 2>&1 && [ -e "$COMPILE" ];
+then
+  for i in $SITELIB ; do
+    $PYTHON -O $COMPILE -q $i
+    $PYTHON $COMPILE -q $i
+  done
+fi


Property changes on: trunk/gnue-appserver/packaging/osx/scripts/postflight
___________________________________________________________________
Name: svn:executable
   + *

Added: trunk/gnue-common/packaging/osx/HOWTO-Build
===================================================================
--- trunk/gnue-common/packaging/osx/HOWTO-Build 2006-03-07 15:23:23 UTC (rev 
8213)
+++ trunk/gnue-common/packaging/osx/HOWTO-Build 2006-03-07 16:00:22 UTC (rev 
8214)
@@ -0,0 +1,45 @@
+# What do you need to create installer packages
+ 
+  You need XCode beeing installed (actually you need the PackageManager)
+
+
+# How to build a disk image containing a native OS X installer package
+
+1. Grab the tarball you'd like to create a package for from 
+   http://www.gnuenterprise.org/downloads/
+
+   e.g. gnue-common-0.6.1.99-beta1.tar.gz
+
+2. Unpack the tarball into this directory (packaging/osx)
+   You'll get a subdirectory like 'gnue-common-0.6.1.99-beta1'
+
+3. Execute the script "create-build" with the package-directory previously
+   created
+
+   e.g. create-build gnue-common-0.6.1.99-beta1
+
+   This script creates a final build environment for the package. It will be
+   located in the subdirectory 'build'
+
+4. Start the package manager (from /Developer/Tools) and load the package
+   manager project file: gnue-common.pmproj
+
+   In the 'Contents' tab click on the 'File permissions ...' button. There
+   please click the button 'Apply Recommendations" and finally quit this dialog
+   via Ok button.
+
+   Now you can call "Project | Build" from the menu bar or by Cmd-B.
+   Determine the name of the installer package 
+   (e.g.  gnue-common-0.6.1.99-py23) and press the Save button. You'll be
+   asked for the administrator password.
+
+   After the build is finished and there were no errors you can quit the
+   package manager. Another directory has been created - the package directory,
+   e.g. gnue-common-0.6.1.99-py23.pkg
+
+5. Execute the script "create-image" with the package directory
+   e.g. create-image gnue-common-0.6.1.99-py23.pkg
+
+   This will create the disc image containing the installer package as well as
+   the contents of the 'dist' subdirectory.
+

Added: trunk/gnue-common/packaging/osx/create-build
===================================================================
--- trunk/gnue-common/packaging/osx/create-build        2006-03-07 15:23:23 UTC 
(rev 8213)
+++ trunk/gnue-common/packaging/osx/create-build        2006-03-07 16:00:22 UTC 
(rev 8214)
@@ -0,0 +1,27 @@
+#!/bin/bash
+# 
+# Create the build environment for gnue-common
+# Usage: create-build <package-directory>
+
+packagedir=$1
+if [ ! -d "$packagedir" ];
+then
+  echo "Usage: $0 <package-directory>"
+  exit 1
+fi
+
+
+if [ ! -f "$packagedir/setup.py" ];
+then
+  echo "$packagedir does not contain a setup.py file"
+  exit 1
+fi
+
+test -d "build" || mkdir "build"
+
+curdir=`pwd`
+
+cd "$packagedir"
+python setup.py install --prefix=/usr --root=../build --no-compile
+
+cd "$curdir"


Property changes on: trunk/gnue-common/packaging/osx/create-build
___________________________________________________________________
Name: svn:executable
   + *

Added: trunk/gnue-common/packaging/osx/create-image
===================================================================
--- trunk/gnue-common/packaging/osx/create-image        2006-03-07 15:23:23 UTC 
(rev 8213)
+++ trunk/gnue-common/packaging/osx/create-image        2006-03-07 16:00:22 UTC 
(rev 8214)
@@ -0,0 +1,38 @@
+#!/bin/bash
+#
+# Create a disk image containing an installer package as well as the contents
+# of the dist directory
+#
+
+srcDir="$1"
+bseName=`basename $srcDir`
+pkgName=`basename $srcDir .pkg`
+
+if [ ! -d "$srcDir" -o "$pkgName" == "$bseName" ]; then
+  echo "Usage: $0 <installer-package>"
+  exit 1
+fi
+
+tmpDir="tmp-img"
+test -d "$tmpDir" && rm -rf "$tmpDir"
+mkdir "$tmpDir"
+
+# Copy the contents of the dist-dir
+echo "Preparing disk image ..."
+if [ -d "dist" ]; then
+  cp -R dist/* $tmpDir
+fi
+
+# Copy the package directory to the dist-dir
+cp -R `basename $srcDir` $tmpDir
+
+# Create an image
+echo "Creating disk image ..."
+hdiutil create -srcfolder $tmpDir -volname $pkgName temp.dmg
+
+# Convert the image
+echo "Converting disk image ..."
+hdiutil convert temp.dmg -format UDZO -o $pkgName.dmg
+
+rm -f temp.dmg
+rm -rf $tmpDir


Property changes on: trunk/gnue-common/packaging/osx/create-image
___________________________________________________________________
Name: svn:executable
   + *

Added: trunk/gnue-common/packaging/osx/dist/README
===================================================================
--- trunk/gnue-common/packaging/osx/dist/README 2006-03-07 15:23:23 UTC (rev 
8213)
+++ trunk/gnue-common/packaging/osx/dist/README 2006-03-07 16:00:22 UTC (rev 
8214)
@@ -0,0 +1,31 @@
+# README
+
+1. Prerequisites
+
+  - Python2.3
+      Mac OS X Tiger comes with python 2.3.5 installed. That's ok, since this
+      package is designed for that python environment.
+
+  - Fix for handling python2.3 site-packages:
+      Download and install a small fix for Tiger's builtin python 2.3
+      site-packages from:
+      http://pythonmac.org/packages/TigerPython23Compat.pkg.zip
+
+  - egenix.mx.datetime
+      Download and install the egenix-mx-base package from
+      http://pythonmac.org/packages/egenix_mx_base-2.0.6-py2.3-macosx10.3.zip
+
+  - PIL
+      Download and install the Python Imaging Library from
+      http://pythonmac.org/packages/PIL-1.1.5-py2.3-macosx10.3.zip
+
+
+2. Installation
+
+  To install GNU Enterprise Common double click on the installer package.
+
+
+3. Additional resources and packages:
+
+  If you're looking for a given package (like database drivers) you might visit
+  "http://www.gnuenterprise.org/downloads/depends";.

Added: trunk/gnue-common/packaging/osx/gnue-common.pmproj
===================================================================
(Binary files differ)


Property changes on: trunk/gnue-common/packaging/osx/gnue-common.pmproj
___________________________________________________________________
Name: svn:mime-type
   + application/octet-stream

Added: trunk/gnue-common/packaging/osx/scripts/postflight
===================================================================
--- trunk/gnue-common/packaging/osx/scripts/postflight  2006-03-07 15:23:23 UTC 
(rev 8213)
+++ trunk/gnue-common/packaging/osx/scripts/postflight  2006-03-07 16:00:22 UTC 
(rev 8214)
@@ -0,0 +1,17 @@
+#!/bin/bash
+#
+# Postflight script: 
+# Compile and optimize all python files of gnue
+#
+
+PYTHON=python2.3
+COMPILE=/usr/lib/$PYTHON/compileall.py
+SITELIB="/usr/lib/$PYTHON/site-packages/gnue/"
+
+if which $PYTHON >/dev/null 2>&1 && [ -e "$COMPILE" ];
+then
+  for i in $SITELIB ; do
+    $PYTHON -O $COMPILE -q $i
+    $PYTHON $COMPILE -q $i
+  done
+fi


Property changes on: trunk/gnue-common/packaging/osx/scripts/postflight
___________________________________________________________________
Name: svn:executable
   + *

Added: trunk/gnue-forms/packaging/osx/HOWTO-Build
===================================================================
--- trunk/gnue-forms/packaging/osx/HOWTO-Build  2006-03-07 15:23:23 UTC (rev 
8213)
+++ trunk/gnue-forms/packaging/osx/HOWTO-Build  2006-03-07 16:00:22 UTC (rev 
8214)
@@ -0,0 +1,45 @@
+# What do you need to create installer packages
+ 
+  You need XCode beeing installed (actually you need the PackageManager)
+
+
+# How to build a disk image containing a native OS X installer package
+
+1. Grab the tarball you'd like to create a package for from 
+   http://www.gnuenterprise.org/downloads/
+
+   e.g. gnue-forms-0.5.13.99-beta1.tar.gz
+
+2. Unpack the tarball into this directory (packaging/osx)
+   You'll get a subdirectory like 'gnue-forms-0.5.13.99-beta1'
+
+3. Execute the script "create-build" with the package-directory previously
+   created
+
+   e.g. create-build gnue-forms-0.5.13.99-beta1
+
+   This script creates a final build environment for the package. It will be
+   located in the subdirectory 'build'
+
+4. Start the package manager (from /Developer/Tools) and load the package
+   manager project file: gnue-forms.pmproj
+
+   In the 'Contents' tab click on the 'File permissions ...' button. There
+   please click the button 'Apply Recommendations" and finally quit this dialog
+   via Ok button.
+
+   Now you can call "Project | Build" from the menu bar or by Cmd-B.
+   Determine the name of the installer package 
+   (e.g.  gnue-forms-0.5.13.99-py23) and press the Save button. You'll be
+   asked for the administrator password.
+
+   After the build is finished and there were no errors you can quit the
+   package manager. Another directory has been created - the package directory,
+   e.g. gnue-forms-0.5.13.99-py23.pkg
+
+5. Execute the script "create-image" with the package directory
+   e.g. create-image gnue-forms-0.5.13.99-py23.pkg
+
+   This will create the disc image containing the installer package as well as
+   the contents of the 'dist' subdirectory.
+

Added: trunk/gnue-forms/packaging/osx/create-build
===================================================================
--- trunk/gnue-forms/packaging/osx/create-build 2006-03-07 15:23:23 UTC (rev 
8213)
+++ trunk/gnue-forms/packaging/osx/create-build 2006-03-07 16:00:22 UTC (rev 
8214)
@@ -0,0 +1,35 @@
+#!/bin/bash
+# 
+# Create the build environment for gnue-common
+# Usage: create-build <package-directory>
+
+packagedir=$1
+if [ ! -d "$packagedir" ];
+then
+  echo "Usage: $0 <package-directory>"
+  exit 1
+fi
+
+
+if [ ! -f "$packagedir/setup.py" ];
+then
+  echo "$packagedir does not contain a setup.py file"
+  exit 1
+fi
+
+test -d "build" || mkdir "build"
+
+curdir=`pwd`
+
+cd "$packagedir"
+python setup.py install --root=../build --no-compile
+
+cd "$curdir"
+
+# Change the first line to meet our needs on Mac OS X
+# gnue-forms actually needs the window manager, so make sure to use pythonw
+# instead of python
+file="$curdir/build/usr/bin/gnue-forms"
+sed -i "" -e "s/^#\!\/usr\/bin\/python.*/#\!\/usr\/bin\/pythonw/" "$file"
+
+cd "$curdir"


Property changes on: trunk/gnue-forms/packaging/osx/create-build
___________________________________________________________________
Name: svn:executable
   + *

Added: trunk/gnue-forms/packaging/osx/create-image
===================================================================
--- trunk/gnue-forms/packaging/osx/create-image 2006-03-07 15:23:23 UTC (rev 
8213)
+++ trunk/gnue-forms/packaging/osx/create-image 2006-03-07 16:00:22 UTC (rev 
8214)
@@ -0,0 +1,38 @@
+#!/bin/bash
+#
+# Create a disk image containing an installer package as well as the contents
+# of the dist directory
+#
+
+srcDir="$1"
+bseName=`basename $srcDir`
+pkgName=`basename $srcDir .pkg`
+
+if [ ! -d "$srcDir" -o "$pkgName" == "$bseName" ]; then
+  echo "Usage: $0 <installer-package>"
+  exit 1
+fi
+
+tmpDir="tmp-img"
+test -d "$tmpDir" && rm -rf "$tmpDir"
+mkdir "$tmpDir"
+
+# Copy the contents of the dist-dir
+echo "Preparing disk image ..."
+if [ -d "dist" ]; then
+  cp -R dist/* $tmpDir
+fi
+
+# Copy the package directory to the dist-dir
+cp -R `basename $srcDir` $tmpDir
+
+# Create an image
+echo "Creating disk image ..."
+hdiutil create -srcfolder $tmpDir -volname $pkgName temp.dmg
+
+# Convert the image
+echo "Converting disk image ..."
+hdiutil convert temp.dmg -format UDZO -o $pkgName.dmg
+
+rm -f temp.dmg
+rm -rf $tmpDir


Property changes on: trunk/gnue-forms/packaging/osx/create-image
___________________________________________________________________
Name: svn:executable
   + *

Added: trunk/gnue-forms/packaging/osx/dist/README
===================================================================
--- trunk/gnue-forms/packaging/osx/dist/README  2006-03-07 15:23:23 UTC (rev 
8213)
+++ trunk/gnue-forms/packaging/osx/dist/README  2006-03-07 16:00:22 UTC (rev 
8214)
@@ -0,0 +1,36 @@
+# README
+
+1. Prerequisites
+
+  - Python2.3
+      Mac OS X Tiger comes with python 2.3.5 installed. That's ok, since this
+      package is designed for that python environment.
+
+  - Fix for handling python2.3 site-packages:
+      Download and install a small fix for Tiger's builtin python 2.3
+      site-packages from:
+      http://pythonmac.org/packages/TigerPython23Compat.pkg.zip
+
+  - egenix.mx.datetime
+      Download and install the egenix-mx-base package from
+      http://pythonmac.org/packages/egenix_mx_base-2.0.6-py2.3-macosx10.3.zip
+
+  - PIL
+      Download and install the Python Imaging Library from
+      http://pythonmac.org/packages/PIL-1.1.5-py2.3-macosx10.3.zip
+
+  - wxPython 2.6
+      Download and install the wxPython package from
+      
http://prdownloads.sourceforge.net/wxpython/wxPython2.6-osx-unicode-2.6.2.1-macosx10.3-py2.3.dmg
+      (make sure to grab a unicode-build)
+
+
+2. Installation
+
+  To install GNU Enterprise Forms double click on the installer package.
+
+
+3. Additional resources and packages:
+
+  If you're looking for a given package (like database drivers) you might visit
+  "http://www.gnuenterprise.org/downloads/depends";.

Added: trunk/gnue-forms/packaging/osx/gnue-forms.pmproj
===================================================================
(Binary files differ)


Property changes on: trunk/gnue-forms/packaging/osx/gnue-forms.pmproj
___________________________________________________________________
Name: svn:mime-type
   + application/octet-stream

Added: trunk/gnue-forms/packaging/osx/scripts/postflight
===================================================================
--- trunk/gnue-forms/packaging/osx/scripts/postflight   2006-03-07 15:23:23 UTC 
(rev 8213)
+++ trunk/gnue-forms/packaging/osx/scripts/postflight   2006-03-07 16:00:22 UTC 
(rev 8214)
@@ -0,0 +1,17 @@
+#!/bin/bash
+#
+# Postflight script: 
+# Compile and optimize all python files of gnue
+#
+
+PYTHON=python2.3
+COMPILE=/usr/lib/$PYTHON/compileall.py
+SITELIB="/usr/lib/$PYTHON/site-packages/gnue/forms"
+
+if which $PYTHON >/dev/null 2>&1 && [ -e "$COMPILE" ];
+then
+  for i in $SITELIB ; do
+    $PYTHON -O $COMPILE -q $i
+    $PYTHON $COMPILE -q $i
+  done
+fi


Property changes on: trunk/gnue-forms/packaging/osx/scripts/postflight
___________________________________________________________________
Name: svn:executable
   + *





reply via email to

[Prev in Thread] Current Thread [Next in Thread]